#ss_setp2{
    display: block;
}
#swiftsign_submit{
    display: block;
}
/*.m-signature-pad--body,*/
/*.m-initials-pad--body {
    position: absolute;
    left: 0px;
    right: 0px;
    top: 0px;
    bottom: 0px;
}*/
.m-signature-pad--body canvas,
.m-initials-pad--body canvas{
    border-radius: 5px;
    border: 3px solid #ccc;
    cursor: url('cur1046.cur'), default;
}
.m-signature-pad--body canvas.active,
.m-initials-pad--body canvas.active{
    -webkit-animation: glowing 1500ms 1;
    -moz-animation: glowing 1500ms 1;
    -o-animation: glowing 1500ms 1;
    animation: glowing 1500ms 1;
}
.m-signature-pad--body.activeSignBody canvas:hover, .m-signature-pad--body.activeSignBody canvas.active:hover,
.m-initials-pad--body.activeSignBody canvas:hover, .m-initials-pad--body.activeSignBody canvas.active:hover{
    -webkit-box-shadow: 0px 5px 10px 2px rgba(18,90,188,0.55);
    -moz-box-shadow: 0px 5px 10px 2px rgba(18,90,188,0.55);
    box-shadow: 0px 5px 10px 2px rgba(18,90,188,0.55);
}
.canvasShadow{
    -webkit-box-shadow: 0px 5px 10px 2px rgba(18,90,188,0.55);
    -moz-box-shadow: 0px 5px 10px 2px rgba(18,90,188,0.55);
    box-shadow: 0px 5px 10px 2px rgba(18,90,188,0.55);
}
.m-signature-pad--body.activeSignBody .signSpinner,
.m-initials-pad--body.activeSignBody .signSpinner{
    opacity: 1;
    background-color: transparent;
    color: #888;
}
.m-signature-pad--body.activeSignBody canvas,
.m-initials-pad--body.activeSignBody canvas{
    border-color: #125abc;
}
.m-signature-pad--footer,
.m-initials-pad--footer {
    position: absolute;
    right: 0;
    top: 0;
    z-index: 10;
}
.m-signature-pad--footer .description {
    color: #C3C3C3;
    text-align: center;
    font-size: 1.2em;
    margin-top: 1.8em;
}
.m-signature-pad--footer .button.clear,
.m-signature-pad--footer .button.sign-typing,
.m-initials-pad--footer .button.clear,
.m-initials-pad--footer .button.sign-typing{
    border: medium none;
    border-radius: 0;
    background-color: #E0E0E0;
    color: #888;
    font-size: 16px;
    line-height: 16px;
    padding: 5px;
    display: block;
    margin: 0 0 5px;
    width: 27px;
}
.m-signature-pad--footer .button.clear:hover,
.m-signature-pad--footer .button.sign-typing:hover,
.m-initials-pad--footer .button.clear:hover{
    color: #000;
}

.m-signature-pad--footer .button.clear,
.m-signature-pad--footer .button.sign-typing_for_signature_field,
.m-initials-pad--footer .button.clear,
.m-initials-pad--footer .button.sign-typing_for_signature_field{
    border: medium none;
    border-radius: 0;
    background-color: #E0E0E0;
    color: #888;
    font-size: 16px;
    line-height: 16px;
    padding: 5px;
    display: block;
    margin: 0 0 5px;
    width: 27px;
}
.m-signature-pad--footer .button.clear:hover,
.m-signature-pad--footer .button.sign-typing_for_signature_field:hover,
.m-initials-pad--footer .button.clear:hover{
    color: #000;
}

.m-signature-pad--footer .button.save {
    right: 0;
}
#ss-initials-box .ss-err,#signature-box .ss-err{
    padding: 0 0 0 0px !important;
}
.m-initials-pad{
    font-size: 10px;
    height: auto;
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    min-height: 103px;
    margin: 15px 0;
}
.m-signature-pad {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    font-size: 10px;
    width: 100% !important;
    height: 25vh;
    min-height: 200px;
}
.m-signature-pad--body, .m-initials-pad--body{
    position: relative;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    /*display: block;*/
    -webkit-transition: color 0.25s;
    transition: color 0.25s;
}
.signSpinner {
    position: absolute;
    left: 3px;
    top: 3px;
    opacity: 0;
    width: 20px;
    height: 20px;
    line-height: 20px;
    display: inline-block;
    color: #888;
    text-align: center;
    border-top-left-radius: 0px;
    z-index: 25;
}
.m-signature-pad--body.initializeSignPad:not(.activeSignBody)::before,
.m-signature-pad--body.initializeSignPad:not(.activeSignBody)::after,
.m-initials-pad--body.initializeSignPad:not(.activeSignBody)::before,
.m-initials-pad--body.initializeSignPad:not(.activeSignBody)::after{
    box-sizing: inherit;
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    border: 3px solid transparent;
    width: 0;
    height: 0;
    border-radius: 5px;
    z-index: 19;
}
.m-signature-pad--body.initializeSignPad:not(.activeSignBody)::before,
.m-initials-pad--body.initializeSignPad:not(.activeSignBody)::before {
    top: 0;
    left: 0;
}
.m-signature-pad--body.initializeSignPad:not(.activeSignBody)::after,
.m-initials-pad--body.initializeSignPad:not(.activeSignBody)::after {
    bottom: 0;
    right: 0;
}
.m-signature-pad--body.initializeSignPad:not(.activeSignBody):hover,
.m-initials-pad--body.initializeSignPad:not(.activeSignBody):hover {
    color: #196abc;
}
.m-signature-pad--body.initializeSignPad:not(.activeSignBody):hover .signSpinner,
.m-initials-pad--body.initializeSignPad:not(.activeSignBody):hover .signSpinner{
    opacity: 1;
}
.m-signature-pad--body.initializeSignPad:not(.activeSignBody):hover::before,
.m-signature-pad--body.initializeSignPad:not(.activeSignBody):hover::after,
.m-initials-pad--body.initializeSignPad:not(.activeSignBody):hover::before,
.m-initials-pad--body.initializeSignPad:not(.activeSignBody):hover::after{
    height: 100%;
    width: 100%;
}
.m-signature-pad--body.initializeSignPad:not(.activeSignBody):hover::before,
.m-initials-pad--body.initializeSignPad:not(.activeSignBody):hover::before{
    border-bottom-color: #196abc;
    border-left-color: #196abc;
    -webkit-transition: height 0.15s ease-out, width 0.15s ease-out 0.15s;
    transition: height 0.15s ease-out, width 0.15s ease-out 0.15s;
}
.m-signature-pad--body.initializeSignPad:not(.activeSignBody):hover::after,
.m-initials-pad--body.initializeSignPad:not(.activeSignBody):hover::after{
    border-top-color: #196abc;
    border-right-color: #196abc;
    -webkit-transition: border-color 0s ease-out 0.3s, height 0.1s ease-out, width 0.25s ease-out 0.45s;
    transition: border-color 0s ease-out 0.3s, height 0.15s ease-out, width 0.25s ease-out 0.45s;
}
.swift-initial-doc.In-Line{
    display: inline-block;
}
.swift-initial-doc.FloatLeft{
    float: left;
    display: inline;
}
.swift-initial-doc.FloatRight{
    float: right;
    display: inline;
}
#swift_sign_submit{
    min-width: 240px;
}
.swift_form_simple_button {
    width: auto !important;
}
.scrambledSpan, .scrambleSpan{
    min-width: 160px;
    display: inline-block;
}
#swift_sign_submit .fast-spin {
    -webkit-animation: fa-spin 0.65s infinite linear;
    animation: fa-spin 0.65s infinite linear;
}
#swift_sign_submit i.fa-check{
    margin-left: -5px;
}
.m-signature-pad--body canvas,
.m-initials-pad--body canvas{
    position: absolute;
    left: 0;
    top: 0;
    z-index: 9;
    /*    width: 100%;
        height: 100%;*/
}
@media(min-width: 645px){
    .m-signature-pad.ss-size-small{
        min-height: 100px;
        max-width: 360px;
    }
    .m-signature-pad.ss-size-medium{
        min-height: 180px;
        max-width: 540px;
    }
    .innerMiniContainer.ss-size-medium{
        min-width: 270px;
    }
    .innerMiniContainer.ss-size-small{
        min-width: 130px;
        max-width: 140px;
    }
    .innerMiniContainer.ss-size-long{
        min-width: 530px;
    }
    .innerMiniContainer.ss-size-fullline{
        max-width: 100%;
    }
    .m-signature-pad.ss-size-large{
        min-height: 300px;
        max-width: 660px;
    }
    .m-signature-pad.ss-size-extralarge{
        min-height: 350px;
        max-width: 760px;
    }
}
.m-initials-pad.ss-size-small {
    min-height: 70px;
    max-width: 110px;
}
.m-initials-pad.ss-size-medium {
    min-height: 100px;
    max-width: 200px;
}
.m-initials-pad.ss-size-large {
    min-height: 141px;
    max-width: 230px;
}

.my-signature-pad #ss_mySignature {
    position: absolute;
    right: 0;
    top:-24px;
    z-index: 2;
}
.my-signature-pad #ss_myMove {
    position: absolute;
    right: 26px;
    top: -24px;
    z-index: 2;
}
.my-signature-pad #ss_signClear {
    position: absolute;
    right: 52px;
    top: -24px;
    z-index: 19;
}
.my-signature-pad .m-signature-pad--footer .button.clear,
.my-signature-pad .m-initials-pad--footer .button.clear {
    border: medium none;
    border-radius: 0;
    color: #ccc;
    font-size: 14px;
    line-height: 14px;
    padding: 5px;
    display: block;
    margin: 0 0 5px;
    width: 24px;
    height: 24px;
}
.signCapturedTime{
    position: absolute;
    bottom: 5px;
    right: 7px;
    color: #333;
    z-index: 19;
}

/* disabled signature pad */
.m-signature-pad-disabled:after{
    display: none;
    content: 'You cannot sign for anyone except yourself';
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-51%, -60%);
    font-size: 22px;
    width: 100%;
    color: #FFF;
    z-index: 9;
    cursor: no-drop;
    text-align: center;
}
.m-signature-pad-disabled:hover:after{
    display: block;
}
.m-signature-pad-disabled .m-signature-pad--body canvas, 
.m-signature-pad-disabled .m-initials-pad--body canvas{
    cursor: no-drop;
    background: #ccc;
    border: 1px solid #FF0000 !important;
}
.m-signature-pad-disabled .m-signature-pad--footer .button.clear, .m-signature-pad-disabled .m-signature-pad--footer .button.sign-typing, 
.m-signature-pad-disabled .m-initials-pad--footer .button.clear, .m-signature-pad-disabled .m-initials-pad--footer .button.sign-typing,
.m-signature-pad-disabled .signSpinner{
    display: none;
}
.m-signature-pad-disabled:hover .m-signature-pad--body canvas, .m-signature-pad-disabled:hover .m-signature-pad--body.activeSignBody canvas,
.m-signature-pad-disabled:hover .m-initials-pad--body canvas, .m-signature-pad-disabled:hover .m-initials-pad--body.activeSignBody canvas{
    -webkit-box-shadow: 0px 3px 10px 2px rgba(255,0,0,0.55);
    -moz-box-shadow: 0px 3px 10px 2px rgba(255,0,0,0.55);
    box-shadow: 0px 3px 10px 2px rgba(255,0,0,0.55);
}
.m-signature-pad-disabled .m-signature-pad--body.initializeSignPad:not(.activeSignBody)::before,
.m-signature-pad-disabled .m-signature-pad--body.initializeSignPad:not(.activeSignBody)::after,
.m-signature-pad-disabled .m-initials-pad--body.initializeSignPad:not(.activeSignBody)::before,
.m-signature-pad-disabled .m-initials-pad--body.initializeSignPad:not(.activeSignBody)::after{
    border: 0 !important;
    width: 0 !important;
    height: 0 !important;
}

.draw-on-image-pad {
    flex-direction: inherit;
    height: auto;
}

.animat {
    position: relative;
}
.animat::before, .animat::after {
    content: '' !important;
    box-sizing: border-box !important;
    position: absolute !important;
    border: 3px solid transparent !important;
    border-radius: 5px;
    width: 0 !important;
    height: 0 !important;
}
.activeSignBody.animat::before {
    border-left-color: transparent !important;
    border-bottom-color: transparent !important;
}
.animat::before {
    top: 0 !important;
    left: 0 !important;
    animation: borderBefore 1s forwards, borderBeforeColor 1s forwards !important;
}
.animat::after {
    bottom: 0 !important;
    right: 0 !important;
    animation: borderAfter 0.5s 0.5s forwards, borderAfterColor 0.5s 0.5s forwards !important;
}
@media screen and (max-width: 645px) {
    .m-signature-pad--body canvas {
        position: inherit;
        width: 100%;
        height: 100%;
    }
    .m-signature-pad-disabled:after{
        font-size: 20px;
    }
}

@-webkit-keyframes glowing {
    0% { background-color: #cee3f9; -webkit-box-shadow: 0px 5px 10px 0px rgba(18,90,188,0.55); }
    50% { background-color: #FFF; -webkit-box-shadow: 0px 0px 10px 10px rgba(18, 90, 188, 0.30); }
    100% { background-color: #fff; -webkit-box-shadow: 0px 0px 2px 0px rgba(18,90,188,0.55); }
}

@-moz-keyframes glowing {
    0% { background-color: #cee3f9; -moz-box-shadow: 0px 5px 10px 0px rgba(18,90,188,0.55); }
    50% { background-color: #FFF; -moz-box-shadow: 0px 0px 10px 10px rgba(18, 90, 188, 0.30)); }
    100% { background-color: #fff; -moz-box-shadow: 0px 0px 2px 0px rgba(18,90,188,0.55); }
}

@-o-keyframes glowing {
    0% { background-color: #cee3f9; box-shadow: 0px 5px 10px 0px rgba(18,90,188,0.55); }
    50% { background-color: #FFF; box-shadow: 0px 0px 10px 10px rgba(18, 90, 188, 0.30); }
    100% { background-color: #fff; box-shadow: 0px 0px 2px 0px rgba(18,90,188,0.55); }
}

@keyframes glowing {
    0% { background-color: #cee3f9; box-shadow: 0px 5px 10px 0px rgba(18,90,188,0.55); }
    50% { background-color: #FFF; box-shadow: 0px 0px 10px 10px rgba(18, 90, 188, 0.30); }
    100% { background-color: #fff; box-shadow: 0px 0px 2px 0px rgba(18,90,188,0.55); }
}
@keyframes borderAfter {
    0% {
        width: 0;
        height: 0;
    }
    25% {
        width: 0;
        height: 100%;
    }
    50% {
        width: 100%;
        height: 100%;
    }
    100% {
        width: 100%;
        height: 100%;
    }
}
@keyframes borderAfterColor {
    0% {
        border-top-color: #196abc;
        border-right-color: #196abc;
    }
    50% {
        border-top-color: #196abc;
        border-right-color: #196abc;
    }
    51% {
        border-top-color: #196abc;
        border-right-color: #196abc;
        border-bottom-color: transparent;
        border-left-color: transparent;
    }
    100% {
        border-top-color: #196abc;
        border-right-color: #196abc;
        border-bottom-color: transparent;
        border-left-color: transparent;
    }
}
@keyframes borderBefore {
    0% {
        width: 0;
        height: 0%;
    }
    25% {
        width: 0%;
        height: 100%;
    }
    50% {
        width: 100%;
        height: 100%;
    }
    100% {
        width: 100%;
        height: 100%;
    }
}
@keyframes borderBeforeColor {
    0% {
        border-bottom-color: #196abc;
        border-left-color: #196abc;
    }
    50% {
        border-bottom-color: #196abc;
        border-left-color: #196abc;
    }
    51% {
        border-bottom-color: #196abc;
        border-left-color: #196abc;
        border-top-color: transparent;
        border-right-color: transparent;
    }
    100% {
        border-bottom-color: #196abc;
        border-left-color: #196abc;
        border-top-color: transparent;
        border-right-color: transparent;
    }
}


@media print {
    .m-signature-pad--footer .button.clear, 
    .m-signature-pad--footer .button.sign-typing, 
    .m-initials-pad--footer .button.clear, 
    .m-initials-pad--footer .button.sign-typing{
        display: none;
    }
}
